<?php
	header('Content-Type: application/vdn.ms-excel');
	header('Content-Disposition: attachment; filename=reporte_metodologias-evaluacion.xls');
	require('../excel/PHPExcel.php');
	include('../conecta.php');
	$conexion->set_charset('utf8');
	$consulta ="SELECT * from catedras WHERE visible='1' ORDER BY codigo";              
	$result = mysqli_query($conexion,$consulta);
	$excel = new PHPExcel();
	$excel->getProperties()->setCreator('Planificaciones Digitales - FIUNER')->setLastModifiedBy('Planificaciones Digitales - FIUNER')->setTitle('Planificaciones Digitales - FIUNER');
	$excel->setActiveSheetIndex(0);
	$pagina = $excel->getActiveSheet();

	//centrado horizontal columnas A hasta E
	$pagina->getStyle('A:E')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
	$pagina->getStyle('A:H')->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
	foreach(range('A', 'H') as $column){$pagina->getColumnDimension($column)->setAutoSize(true);}	

	/* AUTOAJUSTAR ALTO DE FILAS F hasta H
	$excel->getActiveSheet()->getRowDimension(1)->setRowHeight(-1);
	$excel->getActiveSheet()->getStyle('F')->getAlignment()->setWrapText(true);
	$excel->getActiveSheet()->getStyle('G')->getAlignment()->setWrapText(true);
	$excel->getActiveSheet()->getStyle('H')->getAlignment()->setWrapText(true);
	*/

	//la librería soporta un máximo de 31 caracteres en el título de la hoja
	$pagina->setTitle('Metodologías de Evaluación');

	//recorro toda la base y genero una matriz denominada asignaturas con el contenido de la base
	while ($row = mysqli_fetch_array($result)){$asignaturas[] = $row;}

	//Seteo los encabezados de columna										
	$pagina->setCellValue('A1', 'Código');
	$pagina->setCellValue('B1', 'Nombre');
	$pagina->setCellValue('C1', 'Carrera');
	$pagina->setCellValue('D1', 'Departamento Académico	');
	$pagina->setCellValue('E1', 'Promoción Directa');
	$pagina->setCellValue('F1', 'Metodología de Evaluación durante el Cursado');
	$pagina->setCellValue('G1', 'Condiciones de Regularidad');
	$pagina->setCellValue('H1', 'Metodología de Evaluación en Exámenes Finales');	

	$pagina->getStyle('A1:H1')->getFont()->setBold(true);
	$pagina->getStyle('A1:H1')->getFont()->setSize(12);
	$pagina->getRowDimension()->setRowHeight('30');												

	for($i = 0; $i < count($asignaturas); $i++){

												$pagina->setCellValue('A'. ($i+2), $asignaturas[$i]['codigo']);
												$pagina->setCellValue('B'. ($i+2), $asignaturas[$i]['materia']);
												$pagina->setCellValue('C'. ($i+2), $asignaturas[$i]['carrera']);
												$pagina->setCellValue('D'. ($i+2), $asignaturas[$i]['departamento']);
												$pagina->setCellValue('E'. ($i+2), $asignaturas[$i]['promocion_directa']);
												$pagina->setCellValue('F'. ($i+2), $asignaturas[$i]['metodologia_evaluacion_cursado']);
												$pagina->setCellValue('G'. ($i+2), $asignaturas[$i]['condiciones_regularidad']);
												$pagina->setCellValue('H'. ($i+2), $asignaturas[$i]['metodologia_evaluacion_finales']);
												$pagina->getRowDimension($i+2)->setRowHeight('30');												
												}

	//seteo el ancho automático de columnas
	foreach(range('A', 'H') as $column){$pagina->getColumnDimension($column)->setAutoSize(true);}

	

	//generar archivo de excel
	$objWriter = PHPExcel_IOFactory::createWriter($excel, 'Excel5');

	$objWriter->save('php://output');